Description

I believe that after https://review.typo3.org/#/c/15261/ some routing arguments from the current request is passed along to all new
links created with the uri builder. This should not happen and leads to some very weird side effects.

I need to look further into the problem, but so far I've found that it happens for requests to the node controller ext direct service in
Neos and as well for modules. The modules has a very special route part handling, so that is probably not the best place to start.

An example is the page tree making a request for the nodes and that request uses the uri builder to create links to the nodes, but
those links are appended with the ajax request's parameters which of course they shouldn't.

Example
"nodeData[contentType]=TYPO3.Neos.ContentTypes:Page&nodeData[properties][title]=test&position=into&@subpackage=&__csrfToken=4cc
ken=4cc446feb743b38a5f47db7fc500251e" is added to the links

Related issues:
related to TYPO3.Flow - Bug # 44139: UriBuilder includes all arguments of nam... Resolved 2012-12-19

Associated revisions
Revision feeb87c5 - 2012-11-28 10:24 - Marc Neuhaus 

[BUGFIX] Exclude parameters of the current request from created URIs

Since https://review.typo3.org/#/c/15261/ the arguments
of the current/uri-building-origin request were added
without although addQueryString was FALSE.

The UriBuilder now only keeps the requestArguments on
non-involved requestNamespaces.

Resolves: #42770
Releases: 1.2

Change-Id: Iba56bfffa9d8f47670afb1297575607b1b0023a8

History
#1 - 2012-11-25 18:05 - Bastian Waidelich

Hi Aske,
did you already find out more?
I stumbled upon paginators not working any more (you can't get back to the first page, because the UriBuilder will always append the widget
arguments of the current request)..

#2 - 2012-11-25 18:14 - Marc Neuhaus

I can confirm this issue, current request arguments aren't reset for the request generating a uri.

The issue seems to be here: 
http://git.typo3.org/FLOW3/Packages/TYPO3.FLOW3.git?a=blob;f=Classes/TYPO3/Flow/Mvc/Routing/UriBuilder.php;h=b6362fde334fe39c316353d3
7b459ea97cb4df1;hb=fefb00eadefe768c1e8415fc6faac6b1f84c81bc#l420

I'll try to dig deeper tonight/tomorrow

#3 - 2012-11-25 22:00 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16736

#4 - 2012-11-27 16:59 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16736

#5 - 2012-11-27 17:02 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16736

#6 - 2012-11-27 18:23 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16736

#7 - 2012-11-27 23:50 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16736

#8 - 2012-11-28 10:24 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16736
#9 - 2012-11-28 15:35 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:feeb87c5ee2f3a7edaa0d8c2bff7f67c262660f1.
